|  | Home | Documentation | saml1__AuthenticationStatementType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml1__AuthenticationStatementType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AuthenticationStatementType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__AuthenticationStatementType:
[legend]

## Public Attributes

struct saml1__SubjectType * | saml1__Subject
| INHERITED FROM saml1__StatementAbstractType:
struct saml1__SubjectLocalityType * | saml1__SubjectLocality
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectLocality.
$ int | __sizeAuthorityBinding
| Size of the dynamic array of values of type struct saml1__AuthorityBindingType* is 0..unbounded.
struct saml1__AuthorityBindingType * | saml1__AuthorityBinding
| Array struct saml1__AuthorityBindingType* of size 0..unbounded.
char * | AuthenticationMethod
| Attribute "AuthenticationMethod" of type xs:anyURI.
xsd__dateTime | AuthenticationInstant
| Attribute "AuthenticationInstant" of type xs:dateTime.

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AuthenticationStatementType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatementAbstractType.

Note
  struct saml1__AuthenticationStatementType operations:
  - saml1__AuthenticationStatementType* soap_new_saml1__AuthenticationStatementType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__AuthenticationStatementType(struct soap*, saml1__AuthenticationStatementType*) default initialize members
  - int soap_read_saml1__AuthenticationStatementType(struct soap*, saml1__AuthenticationStatementType*) deserialize from a source
  - int soap_write_saml1__AuthenticationStatementType(struct soap*, saml1__AuthenticationStatementType*) serialize to a sink
  - saml1__AuthenticationStatementType* soap_dup_saml1__AuthenticationStatementType(struct soap*, saml1__AuthenticationStatementType* dst, saml1__AuthenticationStatementType <em>src) returns deep copy of saml1__AuthenticationStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__AuthenticationStatementType(saml1__AuthenticationStatementType
  ) deep deletes saml1__AuthenticationStatementType data members, use only on dst after soap_dup_saml1__AuthenticationStatementType(NULL, saml1__AuthenticationStatementType *dst, saml1__AuthenticationStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __sizeAuthorityBinding

$ int saml1__AuthenticationStatementType::__sizeAuthorityBinding

Size of the dynamic array of values of type struct saml1__AuthorityBindingType* is 0..unbounded.

## ◆ AuthenticationInstant

xsd__dateTime saml1__AuthenticationStatementType::AuthenticationInstant

Attribute "AuthenticationInstant" of type xs:dateTime.

Required attribute.

## ◆ AuthenticationMethod

char* saml1__AuthenticationStatementType::AuthenticationMethod

Attribute "AuthenticationMethod" of type xs:anyURI.

Required attribute.

## ◆ saml1__AuthorityBinding

struct saml1__AuthorityBindingType* saml1__AuthenticationStatementType::saml1__AuthorityBinding

Array struct saml1__AuthorityBindingType* of size 0..unbounded.

Multiple elements.

## ◆ saml1__Subject

struct saml1__SubjectType* saml1__AuthenticationStatementType::saml1__Subject

INHERITED FROM saml1__StatementAbstractType:

INHERITED FROM saml1__SubjectStatementAbstractType: Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Subject. Required element.

## ◆ saml1__SubjectLocality

struct saml1__SubjectLocalityType* saml1__AuthenticationStatementType::saml1__SubjectLocality

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectLocality.

Optional element.

The documentation for this struct was generated from the following file:

- saml1.h